报错:“仪器I/O助手未正确安装”

更新 Nov 6, 2018

适用于

Software

  • Measurement and Automation Explorer (MAX)
  • LabVIEW

Driver

  • NI-VISA
  • NI-488.2

问题详述

在LabVIEW中尝试使用仪器I/O助手后,得到错误提示:

Measurement & Automation Explorer or the Instrument I/O Assistant is not installed correctly. Please install these from the LabVIEW Driver CD.

解决方案

仪器I/O助手是随LabVIEW一起安装的,但如果安装不正确,可能会收到上述错误提示。

要修复或安装仪器I/O助手,请首先确保已安装这些驱动程序:

  • NI-VISA
  • NI-488.2(在使用GPIB时才需要)

 

安装这些驱动程序后,应从设备驱动光盘中卸载和重新安装仪器I/O助手。如果您没有设备驱动光盘,可以从NI网站下载。请参阅Uninstall or Repair National Instruments Software or Drivers in Windows. 确保在安装驱动程序时选择了Instrument I/O assistant(仪器I / O助手),如下所示:


如果您安装了较新版本的LabVIEW但尚未更新NI-VISA和NI-488.2,则可以下载这些驱动程序的较新版本,新版本驱动的安装将添加必要的支持。

如果上述步骤没有成功修复仪器I/O助手,请尝试以下几个步骤:

1.完全卸载 NI-VISA和NI-488.2。


2. 删除相关产品。


3.从最新的设备驱动程序CD或安装文件重新安装 NI-VISA,NI-488.2和仪器I/O助手。


4. 重启电脑。

如果您仍然收到上面显示的错误消息:


5. 强制重新安装 NI-VISA:  Fix Corrupt or Non-Working NI Software with Force Reinstall


6. 卸载所有NI软件并强制重新安装所有依赖项。
 

相关信息

请勿尝试单独安装Instrument I/O Assistant的.msi文件。它需要从Driver Installer安装的其他组件。
对于损坏的仪器I/O助手,快速简便的解决方法是使用VISAIVIPlug & Play驱动程序来控制您的仪器。

本文是否有帮助?

无帮助